# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'

    http_cache:
        enabled: true
        default_ttl: 3600
        stale_while_revalidate: 3600
        stale_if_error: 3600
    session:
        name: crm_session
        cookie_lifetime: 3600
        cookie_secure: true

    #esi: true
    #fragments: true
    trusted_proxies: '103.21.244.0/22,103.22.200.0/22,103.31.4.0/22,104.16.0.0/13,104.24.0.0/14,108.162.192.0/18,131.0.72.0/22,141.101.64.0/18,162.158.0.0/15,172.64.0.0/13,173.245.48.0/20,188.114.96.0/20,190.93.240.0/20,197.234.240.0/22,198.41.128.0/17'
    trusted_headers: [ 'x-forwarded-for', 'x-forwarded-host', 'x-forwarded-proto', 'x-forwarded-port', 'x-forwarded-prefix' ]

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
